# Optical, contact-free assessment of brain tissue stiffness and neurodegeneration: code and data
 
Code and data are structured in a manner that makes it easier to map code to results and figures of the corresponding paper. For example, the folder "Figure3" has all relevant code and data contained in order to recreate the figures and reuslts shown in Figure 3 of the paper.

Below is a more detailed list of each folder:

Figure 1:
In this folder, we provide example code and data for how we process intensity time series data with the $g_2$ autocorrelation function.
A single speckle series is provided named "Figure1/Speckle_Example_Data.mat". It can be loaded and processed with "Figure1/DCS_example.m". More specifically, an intensity speckle series is analysed using the g2 autocorrelation function and fit with a multiexponential. Relevant matlab code is found in the folder named "matlab".

Figure 2:
This folder houses data and code to recreate Western blot box plots shown in Figure 2 of the paper. The figures can be recreated by running the Jupyter notebook "DrawWesternBlotResults.ipynb".

Figure 3:
The data and code in this folder constituted a validation experiment for our paper. There are two datasets called "Figure2/DCS_Data.mat" and "Figure2/Nanoindenter_Data.csv" and the corresponding Jupyter notebook "Analysis.ipynb".
The code here recreates the nanoindentation box plots for the Wildtype-tg37 and Control-tg37 mouse strains and plots speckle decorrelation time against hydrogel Young's modulus. 

Figures 4-5:
The O.D. plot (Figure 4) and the DCS measurements colourmap and box plots (Figure 5) may be recreated in the same file titled "ANOVAStatisticalAnalysis.ipynb".

Sidenote:
A virtual Anaconda environment may be created from the env.yaml file, which will have all relevant python modules to run the above scripts. You may use the below function to create an environment from the .yaml file

conda env create -f env.yml
